REST API ReferenceSDK APIConfig
Fetch the SDK configuration
GET
/configFetches the latest SDK configuration for the app.
Usage notes:
- A successful response returns
200 OK. - The response contains an
ETagheader which must be used for caching. The client must send theIf-None-Matchheader with the sameETagvalue in subsequent requests to this endpoint. - If the configuration has not changed, the server returns a
304 Not Modifiedresponse with no body. - The response contains a
Cache-Controlheader which indicates how long the client can cache the configuration response. Once the cache expires, the client must revalidate the configuration by sending a request with theIf-None-Matchheader.
Authorization
measureApiKey AuthorizationBearer <token>
Measure API key for the app, sent as Authorization: Bearer <api-key>.
The app is determined from the API key.
In: header
Header Parameters
If-None-Match?string
The ETag value received from a previous response. When it matches the current configuration version, the server returns 304 Not Modified.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/config"{ "max_events_in_batch": 1000, "crash_timeline_duration": 300, "anr_timeline_duration": 300, "bug_report_timeline_duration": 300, "trace_sampling_rate": 0.001, "journey_sampling_rate": 0.001, "screenshot_mask_level": "all_text", "log_autocollect_enabled": false, "log_min_severity": 16, "log_ignore_patterns": [], "cpu_usage_interval": 5, "memory_usage_interval": 5, "crash_take_screenshot": true, "anr_take_screenshot": true, "launch_sampling_rate": 1, "gesture_click_take_snapshot": true, "http_disable_event_for_urls": [], "http_track_request_for_urls": [], "http_track_response_for_urls": [], "http_blocked_headers": []}Empty
{ "error": "string"}{ "error": "string"}{ "error": "string"}Empty
{ "error": "string"}Empty
Think this page can be better?
Open an issue